namespace Sevomin.Models.Migrations
{
    using System.Data.Entity.Migrations;
    
    public partial class Avvalinupdate : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.Avalin", "RegisterId", c => c.String(maxLength: 10));
            AddColumn("dbo.Avalin", "Address", c => c.String());
            AddColumn("dbo.Avalin", "CompanyPhoneNumber", c => c.String());
            AddColumn("dbo.Avalin", "EMail", c => c.String());
            AlterColumn("dbo.Avalin", "CompanyName", c => c.String(nullable: false));
            AlterColumn("dbo.Avalin", "NationalId", c => c.String(maxLength: 12));
        }
        
        public override void Down()
        {
            AlterColumn("dbo.Avalin", "NationalId", c => c.String(nullable: false));
            AlterColumn("dbo.Avalin", "CompanyName", c => c.String());
            DropColumn("dbo.Avalin", "EMail");
            DropColumn("dbo.Avalin", "CompanyPhoneNumber");
            DropColumn("dbo.Avalin", "Address");
            DropColumn("dbo.Avalin", "RegisterId");
        }
    }
}
